
From: mikem@beardog.cca.cpqcorp.net

This patch adds support for the next generation embedded cciss controller. 
It also bumps the version and changes the author to HP.  This patch is in
2.4.



---

 Documentation/cciss.txt |    1 +
 drivers/block/cciss.c   |   13 +++++++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

diff -puN Documentation/cciss.txt~cciss-03-SA6i-support Documentation/cciss.txt
--- 25/Documentation/cciss.txt~cciss-03-SA6i-support	2004-02-04 20:21:17.000000000 -0800
+++ 25-akpm/Documentation/cciss.txt	2004-02-04 20:21:17.000000000 -0800
@@ -13,6 +13,7 @@ This driver is known to work with the fo
 	* SA 642
 	* SA 6400
 	* SA 6400 U320 Expansion Module
+	* SA 6i
 
 If nodes are not already created in the /dev/cciss directory
 
diff -puN drivers/block/cciss.c~cciss-03-SA6i-support drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-03-SA6i-support	2004-02-04 20:21:17.000000000 -0800
+++ 25-akpm/drivers/block/cciss.c	2004-02-04 20:21:17.000000000 -0800
@@ -45,12 +45,14 @@
 #include <linux/completion.h>
 
 #define CCISS_DRIVER_VERSION(maj,min,submin) ((maj<<16)|(min<<8)|(submin))
-#define DRIVER_NAME "Compaq CISS Driver (v 2.5.0)"
-#define DRIVER_VERSION CCISS_DRIVER_VERSION(2,5,0)
+#define DRIVER_NAME "Compaq CISS Driver (v 2.6.0)"
+#define DRIVER_VERSION CCISS_DRIVER_VERSION(2,6,0)
 
 /* Embedded module documentation macros - see modules.h */
-MODULE_AUTHOR("Charles M. White III - Compaq Computer Corporation");
-MODULE_DESCRIPTION("Driver for Compaq Smart Array Controller 5xxx v. 2.5.0");
+MODULE_AUTHOR("Hewlett-Packard Company");
+MODULE_DESCRIPTION("Driver for HP Controller SA5xxx SA6xxx version 2.6.0");
+MODULE_SUPPORTED_DEVICE("HP SA5i SA5i+ SA532 SA5300 SA5312 SA641 SA642 SA6400"
+			" SA6i");
 MODULE_LICENSE("GPL");
 
 #include "cciss_cmd.h"
@@ -75,6 +77,8 @@ const struct pci_device_id cciss_pci_dev
 		0x0E11, 0x409C, 0, 0, 0},
 	{ PCI_VENDOR_ID_COMPAQ, PCI_DEVICE_ID_COMPAQ_CISSC,
 		0x0E11, 0x409D, 0, 0, 0},
+	{ PCI_VENDOR_ID_COMPAQ, PCI_DEVICE_ID_COMPAQ_CISSC,
+		0x0E11, 0x4091, 0, 0, 0},
 	{0,}
 };
 MODULE_DEVICE_TABLE(pci, cciss_pci_device_id);
@@ -94,6 +98,7 @@ static struct board_type products[] = {
 	{ 0x409B0E11, "Smart Array 642", &SA5_access},
 	{ 0x409C0E11, "Smart Array 6400", &SA5_access},
 	{ 0x409D0E11, "Smart Array 6400 EM", &SA5_access},
+	{ 0x40910E11, "Smart Array 6i", &SA5_access},
 };
 
 /* How long to wait (in millesconds) for board to go into simple mode */

_
